Đến nội dung


Hình ảnh
- - - - -

CÁC BÁC VÀO XEM VÀ SỬA DÙM EM CÁI LÍP LÁY TỌA ĐỘ MÌNH DANG RẤT CẦN


  • Please log in to reply
4 replies to this topic

#1 votanphu

votanphu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 06 August 2010 - 09:07 PM

CÁC BẠN XEM FILE VÀ CHO Ý KIẾN DÙM MÌNH
http://www.cadviet.c.../toa_do_cau.dwg
FILE LISP
http://www.cadviet.c...ytoadoltd_1.lsp
  • 0

#2 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 07 August 2010 - 08:45 AM

;Mình chỉ viết dạng ngắn nhất. Bạn có thời gian chỉnh sửa thêm cho hoàn thiện.
;
(defun C:ltd0 ()
(setvar "cmdecho" 0 )(setvar "Osmode" 1 )
(command "Undo" "Be")
(setq itt 1 diemP (getpoint (strcat "\nCho diem " (itoa itt)))
ds1 '()
)
(While diemP
(setq ten (getstring "\nCho ten diem: " )
ds1 (append ds1 (list (List ten diemP)))
itt (1+ itt)
diemP (getpoint diemP (strcat "\nCho diem " (itoa itt)))
)
)
(setvar "Osmode" 0)
(setq d0 (getpoint "\nCho diem ghi: ") itt 1)
(Foreach pt ds1
(command "text" d0 "" "0" (itoa itt))
(command "text" (polar d0 0 3) "" "0" (car pt))
(command "text" (polar d0 0 7) "" "0" (rtos (car (cadr pt)) 2 4))
(command "text" (polar d0 0 20) "" "0" (rtos (cadr (cadr pt)) 2 4))
(setq itt (1+ itt) D0 (Polar D0 (/ 3.14159 2) -5))
)
(command "Undo" "e")
)
  • 0

#3 votanphu

votanphu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 07 August 2010 - 09:08 AM

các bạn vào xem và cho ý kiến dùm mình. thanks all
  • 0

#4 votanphu

votanphu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 08 August 2010 - 01:11 PM

uppppppppppppppppppppp
  • 0

#5 votanphu

votanphu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 16 August 2010 - 11:18 PM

upppppppppppppppppppppp
  • 0